%define major 2

%define libname %mklibname faad %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name

Name:           faad2
Version:        2.10.1
Release:        %mkrel 1
Summary:        Freeware Advanced Audio Decoder version 2
Source0:        http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.xz
URL:            http://www.audiocoding.com
License:        GPLv2
Group:          Sound
BuildRequires:  dos2unix
BuildRequires:  automake

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

%package -n %libname
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries
Obsoletes:      %{_lib}faad2_2 < %version-%release
Provides:	    %{_lib}faad2_2 = %version-%release

%description -n %libname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %develname
Summary:        Freeware Advanced Audio Decoder development files
Group:          Development/Libraries
Requires:       %libname = %version
Provides:       lib%{name}-devel  = %version-%release
Obsoletes:      lib64faad2-static-devel

%description -n %develname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the C++ headers needed to build programs with
libfaad.

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%_bindir/faad
%_mandir/man1/faad.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaad.so.%{major}*
%_libdir/libfaad_drm.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libfaad.so
%_includedir/*
%_libdir/libfaad_drm.so
%_libdir/pkgconfig/faad2.pc

%changelog
* Fri Oct 21 2022 tex - 2.10.1-1pclos2022
- new version

* Fri Jun 19 2020 tex - 2.9.2-1pclos2020
- new version

* Fri Nov 15 2019 tex - 2.9.1-1pclos2019
- new version

* Fri Nov 15 2019 tex - 2.8.8-1pclos2019
- new version

* Sun Sep 24 2017 bb2 <bb2> - 2.7-4pclos2017
- rebuild against updates

* Fri Feb 20 2015 bb <bb> 2.7-3pclos2015
- rebuild new glibc
